Bug 38093 - basename() isn't portable
Summary: basename() isn't portable
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rpm   
(Show other bugs)
Version: 7.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeff Johnson
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-27 14:33 UTC by Joe Orton
Modified: 2007-04-18 16:32 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-05-06 14:06:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Joe Orton 2001-04-27 14:33:34 UTC
RPM assumes basename() in libc is the GNU-style basename(). Single Unix
allows basename() to be argument-modifying and other such rubbish.

This breaks build/parsePrep.c on HP-UX 10, and probably elsewhere (some
SunOS's have an argument-modifying basename() too I think).

Easy fix: unconditionally #include "misc/basename.c" in stubs.c.

Comment 1 Joe Orton 2001-04-30 09:57:06 UTC
Sorry, scratch the easy fix, that breaks the build on Tru64.

Proper fix coming up...

Comment 2 Jeff Johnson 2001-05-06 14:06:53 UTC
Still looking for the "proper fix" ...

Comment 3 Jeff Johnson 2002-06-21 19:46:29 UTC
Closed for lack of input.


Note You need to log in before you can comment on or make changes to this bug.